summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2017-01-11 01:51:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-11 01:51:28 +0700
commitd74bdd74338e5db83cabde414ca6b76de1cb3529 (patch)
tree9b926f23978e7c024689a48107d7664152373aa9 /development
parent15d36fb2beb99d7a4d39c38763495ce88bcf07d3 (diff)
downloadslackbuilds-d74bdd74338e5db83cabde414ca6b76de1cb3529.tar.gz
slackbuilds-d74bdd74338e5db83cabde414ca6b76de1cb3529.tar.xz
development/g3log: Added (Asynchronous logger with Dynamic Sinks).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/g3log/README13
-rw-r--r--development/g3log/g3log.SlackBuild102
-rw-r--r--development/g3log/g3log.info10
-rw-r--r--development/g3log/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/development/g3log/README b/development/g3log/README
new file mode 100644
index 0000000000..413971d9cd
--- /dev/null
+++ b/development/g3log/README
@@ -0,0 +1,13 @@
+G3log is an asynchronous, "crash safe", logger that is easy to use with
+default logging sinks or you can add your own. G3log is made with plain
+C++11 with no external libraries (except gtest used for unit tests).
+G3log is made to be cross-platform, currently running on OSX, Windows
+and several Linux distros. See Readme below for details of usage.
+
+What G3Log is:
+- G3log is the acting name for the third version of g2log and it stands
+ for g3log with dynamic sinks
+- G3log is an asynchronous, "crash-safe" logger.
+- You can choose to use the default log receiver which saves all LOG
+ calls to file, or you can choose to use your own custom made log
+ receiver(s), or both, or as many sinks as you need.
diff --git a/development/g3log/g3log.SlackBuild b/development/g3log/g3log.SlackBuild
new file mode 100644
index 0000000000..c45354f0cc
--- /dev/null
+++ b/development/g3log/g3log.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for G3log
+
+# Copyright 2017 Andre Barboza, Belo Horizonte - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=g3log
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_HEADERDIR=/usr/include \
+ -DCMAKE_INSTALL_LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DADD_FATAL_EXAMPLE=OFF \
+ -DADD_G3LOG_PERFORMANCE=OFF \
+ -DADD_G3LOG_UNIT_TEST=OFF \
+ -DCHANGE_G3LOG_DEBUG_TO_DBUG=OFF \
+ -DENABLE_FATAL_SIGNALHANDLING=ON \
+ -DUSE_DYNAMIC_LOGGING_LEVELS=ON ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a API.markdown LICENSE README.markdown $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/g3log/g3log.info b/development/g3log/g3log.info
new file mode 100644
index 0000000000..ffcdd2bd4b
--- /dev/null
+++ b/development/g3log/g3log.info
@@ -0,0 +1,10 @@
+PRGNAM="g3log"
+VERSION="1.2"
+HOMEPAGE="https://github.com/KjellKod/g3log/"
+DOWNLOAD="https://github.com/KjellKod/g3log/archive/1.2/g3log-1.2.tar.gz"
+MD5SUM="de80b57ef1fc0cdff3f69a121d846de4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/development/g3log/slack-desc b/development/g3log/slack-desc
new file mode 100644
index 0000000000..2eb79fdd56
--- /dev/null
+++ b/development/g3log/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+g3log: g3log (Asynchronous logger with Dynamic Sinks)
+g3log:
+g3log: G3log is an asynchronous, "crash safe", logger that is easy to
+g3log: use with default logging sinks or you can add your own. G3log is
+g3log: made with plain C++11 with no external libraries.
+g3log:
+g3log:
+g3log:
+g3log:
+g3log: https://github.com/KjellKod/g3log
+g3log: